Subject: Multipart non-clearsigned messages possible?

From: Elanor Foley <[email-masked]>
Date: Mon, 9 Sep 2002 11:40:15 +0100

Hello all,
 
This may seem like a silly question, but is it possible to have a multipart,
non-clearsigned s/mime message?
My current thinking is
 
a) it's not possible: the whole message gets signed, including attachments.
 
b) it's possible: some part(s) of the message get signed, other parts, e.g.
audio file, can be attached without being signed. The verification is only
computed across the eContent inside the signedData anyway.
 
If b), does anyone know of an example I could look at (incl. headers)?
 
Thanks,
 
 - Lnr

-----------------------------------------------------------------------------
The information contained in this message is confidential and is intended
for the addressee(s) only.  If you have received this message in error or
there are any problems please notify the originator immediately.  The 
unauthorised use, disclosure, copying or alteration of this message is 
strictly forbidden. Baltimore Technologies plc will not be liable for
direct, special, indirect or consequential damages arising from alteration
of the contents of this message by a third party or as a result of any 
virus being passed on.

This footnote confirms that this email message has been swept for Content
Security threats, including computer viruses.
http://www.baltimore.com

---

From: Marc Mutz <[email-masked]>
Date: Fri, 13 Sep 2002 20:50:01 +0200

On Monday 09 September 2002 12:40, Elanor Foley wrote:
> Hello all,
>
> This may seem like a silly question, but is it possible to have a
> multipart, non-clearsigned s/mime message?
<snip>

If I understand you correctly, it is.

> b) it's possible: some part(s) of the message get signed, other
> parts, e.g. audio file, can be attached without being signed. The
> verification is only computed across the eContent inside the
> signedData anyway.

Yes, there are mechnisms for only signing some body parts.

> If b), does anyone know of an example I could look at (incl.

This isn't S/MIME, but OpenPGP, but the mechanics is the same: What I 
write _here_ is signed, while...

...this is not.
>
> ---------------------------------------------------------------------
>-------- The information contained in this message is confidential and
> is intended for the addressee(s) only.  If you have received this
> message in error or there are any problems please notify the
> originator immediately.  The unauthorised use, disclosure, copying or
> alteration of this message is strictly forbidden. Baltimore
> Technologies plc will not be liable for direct, special, indirect or
> consequential damages arising from alteration of the contents of this
> message by a third party or as a result of any virus being passed on.
>
> This footnote confirms that this email message has been swept for
> Content Security threats, including computer viruses.
> http://www.baltimore.com

-- 
Mutig warf sich die kleine Überwachungskamera zwischen Täter und Opfer!
                                        --Rena Tangens / FoeBuD e.V.